<script setup>
import { ref, unref } from 'vue';
import { validate } from '@/utils'

const secret = Math.floor(Math.random() * 10) + 1
const vstup = ref(0)
const counter = ref(0)

console.log(validate(vstup.value, secret))
</script>

<template>
  <h1>Trezor game</h1>
  <div style="display: none;">{{ secret }}</div>
  <div class="blok">
    <label for="vstup">Hadej cislo od 1 do 10:</label><br>
    <input id="vstup" type="number" v-model.number.lazy="vstup" @keyup.enter="counter++" />
  </div>
  <hr>
  <div class="blok">
    <span>Tvuj odhad {{ counter }} je: {{ validate(vstup, secret) }}</span>
  </div>
</template>

<style scoped>
.blok {
  padding: 10px;
}
</style>
